čtvrtek 16. července 2009

Programátorská chyba, která by se dělat neměla

Já osobně vzývám autory blogovacího systému WordPress jako bohy, nicméně jsem narazil na jednu (snad jen) velmi záludnou a blbou systémovou programátorskou chybu: ve verzi 2.8 se chová funkce
plugins_url()
odlišně od verzí předchozích, takže pluginy vyladěné pro 2.8 nejsou zpětně kompatibilní, aniž to autoři vůbec tuší. Je to pěkně popsáno v článku WordPress Plugin-Path včetně řešení.

MAKE Magazine

Technology Review RSS Feeds

Nejčtenější příspěvky